pcl::Comparator< PointT > Class Template Referenceabstract

Comparator is the base class for comparators that compare two points given some function. More...

`#include <pcl/segmentation/comparator.h>`

Inheritance diagram for pcl::Comparator< PointT >:

## Public Types

typedef pcl::PointCloud< PointT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< Comparator< PointT > > | Ptr
typedef boost::shared_ptr< const Comparator< PointT > > | ConstPtr

## Public Member Functions

| Comparator ()
| Empty constructor for comparator. More...
virtual | ~Comparator ()
| Empty destructor for comparator. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud for the comparator. More...
virtual PointCloudConstPtr | getInputCloud () const
| Get the input cloud this comparator operates on. More...
virtual bool | compare (int idx1, int idx2) const =0
| Compares the two points in the input cloud designated by these two indices. More...

## Protected Attributes

PointCloudConstPtr | input_

## Detailed Description

### template<typename PointT>
class pcl::Comparator< PointT >

Comparator is the base class for comparators that compare two points given some function.

Currently intended for use with OrganizedConnectedComponentSegmentation

Author
  Alex Trevor

Definition at line 53 of file comparator.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

typedef boost::shared_ptr<const Comparator<PointT> > pcl::Comparator< PointT >::ConstPtr

Definition at line 61 of file comparator.h.

## PointCloud

template<typename PointT>

typedef pcl::PointCloud<PointT> pcl::Comparator< PointT >::PointCloud

Definition at line 56 of file comparator.h.

## PointCloudConstPtr

template<typename PointT>

typedef PointCloud::ConstPtr pcl::Comparator< PointT >::PointCloudConstPtr

Definition at line 58 of file comparator.h.

## PointCloudPtr

template<typename PointT>

typedef PointCloud::Ptr pcl::Comparator< PointT >::PointCloudPtr

Definition at line 57 of file comparator.h.

## Ptr

template<typename PointT>

typedef boost::shared_ptr<Comparator<PointT> > pcl::Comparator< PointT >::Ptr

Definition at line 60 of file comparator.h.

## Constructor & Destructor Documentation

## Comparator()

template<typename PointT>

pcl::Comparator< PointT >::Comparator | ( |  | ) |

inline

Empty constructor for comparator.

Definition at line 64 of file comparator.h.

## ~Comparator()

template<typename PointT>

virtual pcl::Comparator< PointT >::~Comparator | ( |  | ) |

inline virtual

Empty destructor for comparator.

Definition at line 70 of file comparator.h.

## Member Function Documentation

## compare()

template<typename PointT>

virtual bool pcl::Comparator< PointT >::compare | ( | int | idx1,
|  | int | idx2
| ) |  | const

pure virtual

Compares the two points in the input cloud designated by these two indices.

This is pure virtual and must be implemented by subclasses with some comparison function.

Parameters

  [in] | idx1 | the index of the first point.
  [in] | idx2 | the index of the second point.

Implemented in pcl::GroundPlaneComparator< PointT, PointNT >, pcl::PlaneCoefficientComparator< PointT, PointNT >, pcl::PlaneRefinementComparator< PointT, PointNT, PointLT >, pcl::EdgeAwarePlaneComparator< PointT, PointNT >, pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >, pcl::RGBPlaneCoefficientComparator< PointT, PointNT >, and pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT >.

Referenced by pcl::Comparator< PointT >::getInputCloud().

## getInputCloud()

template<typename PointT>

virtual PointCloudConstPtr pcl::Comparator< PointT >::getInputCloud | ( |  | ) | const

inline virtual

Get the input cloud this comparator operates on.

Definition at line 85 of file comparator.h.

References pcl::Comparator< PointT >::compare(), and pcl::Comparator< PointT >::input_.

## setInputCloud()

template<typename PointT>

virtual void pcl::Comparator< PointT >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

inline virtual

Set the input cloud for the comparator.

Parameters

  [in] | cloud | the point cloud this comparator will operate on

Reimplemented in pcl::GroundPlaneComparator< PointT, PointNT >, pcl::PlaneCoefficientComparator< PointT, PointNT >, and pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >.

Definition at line 78 of file comparator.h.

References pcl::Comparator< PointT >::input_.

## Member Data Documentation

## input_

template<typename PointT>

PointCloudConstPtr pcl::Comparator< PointT >::input_

protected

Definition at line 99 of file comparator.h.

Referenced by pcl::EuclideanPlaneCoefficientComparator< PointT, PointNT >::compare(), pcl::RGBPlaneCoefficientComparator< PointT, PointNT >::compare(), pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::compare(), pcl::EdgeAwarePlaneComparator< PointT, PointNT >::compare(), pcl::PlaneRefinementComparator< PointT, PointNT, PointLT >::compare(), pcl::PlaneCoefficientComparator< PointT, PointNT >::compare(), pcl::GroundPlaneComparator< PointT, PointNT >::compare(), pcl::Comparator< PointT >::getInputCloud(), pcl::Comparator< PointT >::setInputCloud(), pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::setInputCloud(), pcl::PlaneCoefficientComparator< PointT, PointNT >::setInputCloud(), and pcl::GroundPlaneComparator< PointT, PointNT >::setInputCloud().

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/segmentation/include/pcl/segmentation/comparator.h